# OpalMediaType Class Reference

`#include <mediatype.h>`

## Public Types

| OfferInactive
| Receive
| Transmit
| ReceiveTransmit
| DontOffer
| TransmitReceive = ReceiveTransmit
enum | AutoStartMode { OfferInactive, Receive, Transmit, ReceiveTransmit, DontOffer, TransmitReceive = ReceiveTransmit }

## Public Member Functions

| OpalMediaType ()
virtual | ~OpalMediaType ()
| OpalMediaType (const std::string &str)
| OpalMediaType (const char *str)
| OpalMediaType (const PString &str)
OpalMediaTypeDefinition * | GetDefinition () const
AutoStartMode | GetAutoStart () const

## Static Public Member Functions

static const OpalMediaType & | Audio ()
static const OpalMediaType & | Video ()
static const OpalMediaType & | Fax ()
static const OpalMediaType & | UserInput ()
static OpalMediaTypeDefinition * | GetDefinition (const OpalMediaType &key)
static OpalMediaTypeDefinition * | GetDefinition (unsigned sessionId)
static OpalMediaTypeFactory::KeyList_T | GetList ()
static OpalMediaType | GetMediaTypeFromSDP (const std::string &key, const std::string &transport)

## Friends

__inline friend AutoStartMode | operator++ (AutoStartMode &mode)
__inline friend AutoStartMode | operator-- (AutoStartMode &mode)
__inline friend AutoStartMode | operator|= (AutoStartMode &m1, AutoStartMode m2)
__inline friend AutoStartMode | operator-= (AutoStartMode &m1, AutoStartMode m2)

## Detailed Description

Define the type used to hold the media type identifiers, i.e. "audio", "video", "h.224", "fax" etc

## Member Enumeration Documentation

enum OpalMediaType::AutoStartMode

Enumerator:

  OfferInactive |
  Receive |
  Transmit |
  ReceiveTransmit |
  DontOffer |
  TransmitReceive |

## Constructor & Destructor Documentation

OpalMediaType::OpalMediaType | ( |  | ) | `[inline]`

virtual OpalMediaType::~OpalMediaType | ( |  | ) | `[inline, virtual]`

OpalMediaType::OpalMediaType | ( | const std::string & | str | ) | `[inline]`

OpalMediaType::OpalMediaType | ( | const char * | str | ) | `[inline]`

OpalMediaType::OpalMediaType | ( | const PString & | str | ) | `[inline]`

## Member Function Documentation

static const OpalMediaType& OpalMediaType::Audio | ( |  | ) | `[static]`

static const OpalMediaType& OpalMediaType::Fax | ( |  | ) | `[static]`

__inline OpalMediaType::AutoStartMode OpalMediaType::GetAutoStart | ( |  | ) | const

static OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( | unsigned | sessionId | ) | `[static]`

static OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( | const OpalMediaType & | key | ) | `[static]`

OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( |  | ) | const

static OpalMediaTypeFactory::KeyList_T OpalMediaType::GetList | ( |  | ) | `[inline, static]`

static OpalMediaType OpalMediaType::GetMediaTypeFromSDP | ( | const std::string & | key,
|  | const std::string & | transport |
| ) |  |  | `[static]`

static const OpalMediaType& OpalMediaType::UserInput | ( |  | ) | `[static]`

static const OpalMediaType& OpalMediaType::Video | ( |  | ) | `[static]`

## Friends And Related Function Documentation

__inline friend AutoStartMode operator++ | ( | AutoStartMode & | mode | ) | `[friend]`

__inline friend AutoStartMode operator-- | ( | AutoStartMode & | mode | ) | `[friend]`

__inline friend AutoStartMode operator-= | ( | AutoStartMode & | m1,
|  | AutoStartMode | m2 |
| ) |  |  | `[friend]`

__inline friend AutoStartMode operator|= | ( | AutoStartMode & | m1,
|  | AutoStartMode | m2 |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- mediatype.h